# $Revision: 1.29 $, $Date: 2010/11/03 23:01:58 $
Summary:	Python 'interface' concept implementation
Summary(pl.UTF-8):	Implementacja interfejsów dla języka Python
Name:		Zope-Interface
Version:	3.5.3
Release:	3
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.interface/zope.interface-%{version}.tar.gz
# Source0-md5:	1fdb9a77f92d3ada3e795a8c9b58d0c6
URL:		http://www.zope.org/Products/ZopeInterface/
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
# set this requirement explicitly, so people know where %py_sitedir/zope
# can be found
Requires:	Zope-dirs
Provides:	ZopeInterface
Obsoletes:	ZopeInterface
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 'interface' concept implementation.

%description -l pl.UTF-8
Implementacja interfejsów (abstrakcyjnych reprezentacji klas) dla
języka Python.

%prep
%setup -q -n zope.interface-%{version}

%build
export CFLAGS="%{rpmcflags}"
%{__python} ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} ./setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
rm $RPM_BUILD_ROOT%{py_sitedir}/zope/interface/*.{txt,c}
rm -r $RPM_BUILD_ROOT%{py_sitedir}/zope/interface/common/tests
rm -r $RPM_BUILD_ROOT%{py_sitedir}/zope/interface/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt src/zope/interface/{README,human}.txt
%lang(ru) %doc src/zope/interface/{README,human}.ru.txt
%dir %{py_sitedir}/zope/interface
%{py_sitedir}/zope/interface/*.py[co]
%attr(755,root,root) %{py_sitedir}/zope/interface/_zope_interface_coptimizations.so
%{py_sitedir}/zope/interface/common
%{py_sitedir}/zope.interface-*.egg-info
%{py_sitedir}/zope.interface-*-nspkg.pth

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-Interface.spec,v $
Revision 1.29  2010/11/03 23:01:58  shadzik
- rel 3

Revision 1.28  2010/07/08 08:51:18  arekm
- release 2

Revision 1.27  2010/02/10 01:27:33  sparky
- dropped unused BR: unzip

Revision 1.26  2010/02/08 13:39:44  wrobell
- ver. 3.5.3

Revision 1.25  2009/11/28 15:20:08  sparky
- BR: unzip

Revision 1.24  2009/04/14 05:57:00  glen
- CFLAGS, egg-info created on py2.4 too

Revision 1.23  2009/03/13 15:34:31  hawk
- release 2

Revision 1.22  2008/12/09 03:26:29  wrobell
- use pypi uri
- ver. 3.5.0

Revision 1.21  2008/11/16 15:04:46  wrobell
- rel. 5

Revision 1.20  2008/11/16 14:35:01  wrobell
- get rid of %py_sitedir/zope, which is provided by Zope-dirs
- rel. 4

Revision 1.19  2008/10/03 18:07:01  arekm
- release 3

Revision 1.18  2008/09/19 18:08:39  patrys
- package site-packages/zope as no other package from ftp uses it
- rel 2

Revision 1.17  2008/03/25 22:19:41  sls
- BR: python-setuptools (should be >= 0.6-0.r60636 ?)

Revision 1.16  2008-01-04 23:54:25  qboosh
- files cleanup, .so perms

Revision 1.15  2008-01-04 23:46:58  qboosh
- spec renamed to Zope-Interface.spec

Revision 1.14  2008-01-04 23:35:17  qboosh
- python deps
- O: ZopeInterface

Revision 1.13  2007-09-12 22:06:02  wrobell
- group fixed again :/

Revision 1.12  2007/09/12 22:05:26  wrobell
- fixed group

Revision 1.11  2007/09/12 22:04:08  wrobell
- fixed license
- fixed descriptions
- rel. 1

Revision 1.10  2007/09/10 00:40:02  wrobell
- ver. 3.4.0
[package renamed to Zope-Interface]

Revision 1.9  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.7  2006/09/26 23:10:22  wrobell
- rel. 5 to rebuild with python 2.5 (final)

Revision 1.6  2006/08/28 12:23:48  arekm
- rel 4

Revision 1.5  2006/07/26 15:40:15  glen
- remove extra unneeded slash

Revision 1.4  2006/05/28 20:12:34  arekm
- fix build

Revision 1.3  2005/04/16 08:37:58  darekr
- simplified %setup

Revision 1.2  2005/03/20 13:59:14  ciesiel
- cleanup doc

Revision 1.1  2005/03/20 13:53:15  ciesiel
- renamed spec (old: Zope-ZopeInterface)
- added missing files
- added PL summary

Revision 1.1  2005/03/20 11:39:43  arekm
- new
